<?php
/**
 *
 * Show the product details page
 *
 * @package	VirtueMart
 * @subpackage
 * @author Max Milbers, Eugen Stranz, Max Galt
 * @link http://www.virtuemart.net
 * @copyright Copyright (c) 2004 - 2014 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @version $Id$
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

$document = JFactory::getDocument ();
$app        = JFactory::getApplication();
$template   = $app->getTemplate(true);
$params     = $template->params;
$details_page = $params->get('details_page');
		
?>
<!-- Wishlist-->
<div id="rslt_success" class="alert success" style="display:none" onClick="hidewindow('rslt_success')">
  <div class="message-box-wrap">
      <strong><?php echo JText::_('COM_VIRTUEMART_MESSAGE'); ?></strong>
      <a class="close" >×</a>
      <br>
      <?php echo JText::_('COM_VIRTUEMART_WISHLIST_SUCCESS'); ?>
  </div> 
</div>
<div id="rslt_already" class="alert notice" style="display:none" onClick="hidewindow('rslt_already')">
 <div class="message-box-wrap">
      <strong><?php echo JText::_('COM_VIRTUEMART_NOTICE'); ?></strong>
      <a class="close" >×</a>
      <br>
      <?php echo JText::_('COM_VIRTUEMART_WISHLIST_ALREADY_SUCCESS'); ?>
  </div> 

</div> 
<div id="rslt_fail" class="alert error" style="display:none" onClick="hidewindow('rslt_fail')">
   <div class="message-box-wrap">
      <strong><?php echo JText::_('COM_VIRTUEMART_ERROR'); ?></strong>
      <a class="close" >×</a>
      <br>
      <?php echo JText::_('COM_VIRTUEMART_WISHLIST_NOT_LOGIN'); ?>
  </div>
</div>
<!--End Wishlist-->

<!--Compare-->
<div id="rslt_success_comp" class="alert success" style="display:none" onClick="hidewindow_comp('rslt_success_comp')">
	<div class="message-box-wrap">
      <strong><?php echo JText::_('COM_VIRTUEMART_NOTICE'); ?></strong>
      <a class="close" >×</a>
      <br>
      <?php echo JText::_('COM_VIRTUEMART_COMPARE_SUCCESS'); ?>
	</div>
</div>
<div id="rslt_already_comp" class="alert notice" style="display:none" onClick="hidewindow_comp('rslt_already_comp')">
 <div class="message-box-wrap">
      <strong><?php echo JText::_('COM_VIRTUEMART_MESSAGE'); ?></strong>
      <a class="close" >×</a>
      <br>
      <?php echo JText::_('COM_VIRTUEMART_COMPARE_ALREADY_SUCCESS'); ?>
	</div>
</div>

<!-- End Compare--> 

<script type="text/javascript">
function AddToWishlist(pid,catid)
{
	

	var qty = 1;
	var xmlhttp;
	if (window.XMLHttpRequest)
	{// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp=new XMLHttpRequest();
	}
	else
	{// code for IE6, IE5
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange=function()
	{
		document.getElementById('rslt_success').style.display="block";
		//alert(xmlhttp.readyState+"  "+xmlhttp.status);
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			//alert(xmlhttp.responseText);
			
			if(xmlhttp.responseText)
			{ 
				
				var aa=xmlhttp.responseText;
                //alert(aa);
				var ab = aa.split('<div id="msg_output">');
				var abc = ab[1].split('</div>');
				var abcd = abc[0];	
				
				if(abcd == 'success'){
					document.getElementById('rslt_success').style.display="block";
					document.getElementById('rslt_already').style.display="none";
					document.getElementById('rslt_fail').style.display="none";
					
				}else if(abcd == 'already'){
					document.getElementById('rslt_success').style.display="none";
					document.getElementById('rslt_already').style.display="block";
					document.getElementById('rslt_fail').style.display="none";
					
				}else if(abcd == 'fail'){
					document.getElementById('rslt_success').style.display="none";
					document.getElementById('rslt_already').style.display="none";
					document.getElementById('rslt_fail').style.display="block";
				}
			}
		}
	}
	xmlhttp.open("GET","<?php echo JURI::base(); ?>/views/productdetails/tmpl/addtowishlist.php?pid="+pid+"&catid="+catid+"&qty="+qty,true);
	xmlhttp.send();	
}
function hidewindow(id)
{
	document.getElementById(id).style.display="none";	
}
</script>

<script type="text/javascript">
function AddToCompare(pid,catid)
{
	
	var qty = 1;
	var xmlhttp;
	if (window.XMLHttpRequest)
	{// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp=new XMLHttpRequest();
	}
	else
	{// code for IE6, IE5
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange=function()
	{
		//alert(xmlhttp.readyState+"  "+xmlhttp.status);
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			 //alert(xmlhttp.status);
			
			if(xmlhttp.responseText)
			{ 
				
				var aa=xmlhttp.responseText;
				//alert(aa);
				var ab = aa.split('<div id="msg_output">');
				var abc = ab[1].split('</div>');
				var abcd = abc[0];	
				
				if(abcd == 'success'){
				
					document.getElementById('rslt_success_comp').style.display="block";
					document.getElementById('rslt_already_comp').style.display="none";
					
					
				}else if(abcd == 'already'){
					document.getElementById('rslt_success_comp').style.display="none";
					document.getElementById('rslt_already_comp').style.display="block";
					
					
				}
			}
		}
	}
	xmlhttp.open("GET","<?php echo JURI::base(); ?>/views/productdetails/tmpl/addtocompare.php?pid="+pid+"&catid="+catid+"&qty="+qty,true);
	xmlhttp.send();	
}
function hidewindow_comp(id)
{
	document.getElementById(id).style.display="none";	
}
</script>

<?php
/* Let's see if we found the product */
if (empty($this->product)) {
	echo vmText::_('COM_VIRTUEMART_PRODUCT_NOT_FOUND');
	echo '<br /><br />  ' . $this->continue_link_html;
	return;
}

echo shopFunctionsF::renderVmSubLayout('askrecomjs',array('product'=>$this->product));



if(vRequest::getInt('print',false)){ ?>
<body onload="javascript:print();">
<?php } ?>


<section class="product-card productdetails-view">

    <?php
    // Product Navigation
    if (VmConfig::get('product_navigation', 1)) {
	?>
        <div class="product-neighbours">
		<ul class="pager">
               

	    
		<li class="previous">
			<?php
	    if (!empty($this->product->neighbours ['previous'][0])) {
		$prev_link = JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $this->product->neighbours ['previous'][0] ['virtuemart_product_id'] . '&virtuemart_category_id=' . $this->product->virtuemart_category_id, FALSE);
		echo JHtml::_('link', $prev_link, $this->product->neighbours ['previous'][0]
			['product_name'], array('rel'=>'prev', 'class' => 'previous-page','data-dynamic-update' => '1'));
		 ?>
		</li>	
	   
		<li class="next li-last">
		
			<?php }
		
	    if (!empty($this->product->neighbours ['next'][0])) {
		$next_link = JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $this->product->neighbours ['next'][0] ['virtuemart_product_id'] . '&virtuemart_category_id=' . $this->product->virtuemart_category_id, FALSE);
		echo JHtml::_('link', $next_link, $this->product->neighbours ['next'][0] ['product_name'], array('rel'=>'next','class' => 'next-page','data-dynamic-update' => '1')); ?>
		</li>
	   <?php } ?>
		
    	<div class="clear"></div>
        </div>
    <?php } // Product Navigation END
    ?>

	<?php // Back To Category Button
	if ($this->product->virtuemart_category_id) {
		$catURL =  JRoute::_('index.php?option=com_virtuemart&view=category&virtuemart_category_id='.$this->product->virtuemart_category_id, FALSE);
		$categoryName = vmText::_($this->product->category_name) ;
	} else {
		$catURL =  JRoute::_('index.php?option=com_virtuemart');
		$categoryName = vmText::_('COM_VIRTUEMART_SHOP_HOME') ;
	}
	?>
	<?php
    // Product Edit Link
    //echo $this->edit_link;
    // Product Edit Link END
    ?>
     
	
	    <!-- Start product-card__slider --> 
		<div class="product-img-box col-md-5 col-xs-12 col-sm-5">
			<?php echo $this->loadTemplate('images');?>
		</div>
		<!-- END product-card__slider -->
		
		<!-- Start product-details section --> 
		<div class="col-sm-7 col-md-7 col-xs-12 no-padding-right product-shop vm-product-details-container">
			 <div class="product-card__main">
				<?php // Product Title   ?>
					<h1 class="product-card__name" itemprop="name"><?php echo $this->product->product_name ?></h1>
				<?php // Product Title END   ?>
				 <?php // afterDisplayTitle Event
				echo $this->product->event->afterDisplayTitle ?>
				<div class="wrap-rating">
					<?php
						echo shopFunctionsF::renderVmSubLayout('rating',array('showRating'=>$this->showRating,'product'=>$this->product)); ?>
					<span class="product-card__reviews product-card__reviews_marker"><?php echo count($this->rating_reviews) .' ' . vmText::_('COM_VIRTUEMART_REVIEWS'); ?>
					</span>
					<span class="product-card__reviews">
						<a href="#add_review"><?php echo jText::_('LUXURY_VIRTUEMART_ADD_REVIEW');?></a>
					</span> 
				</div>
				
				<?php $prd_stcock= $this->product->product_in_stock; ?>
				<div class="product-card__availability">	 
				  <p><?php echo vmText::_ ('COM_VIRTUEMART_PRODUCT_AVAILABILITY'); ?> :
					   <?php if ($prd_stcock != 0)
						{ ?>
							<span>
								<?php echo vmText::_ ('COM_VIRTUEMART_PRODUCT_IN_STOCK'); ?>
						    </span>
					   <?php } 
						else
						{ ?>
							<span>
								<?php echo vmText::_ ('COM_VIRTUEMART_CART_PRODUCT_OUT_OF_STOCK'); ?>
							</span>
						<?php } ?>
					
				 </p>
				</div>				
					
				<div class="product-card__price">
					<?php echo shopFunctionsF::renderVmSubLayout('prices',array('product'=>$this->product,'currency'=>$this->currency)); ?>
				</div>
					
				<?php // Product Short Description
				if (!empty($this->product->product_s_desc)) {
				?>
					<div class="product-card__description">
						<p>
						<?php
						/** @todo Test if content plugins modify the product description */
						echo nl2br($this->product->product_s_desc);
						?>
						</p>
					</div>
				<?php
				} // Product Short Description END
				?>
				 <?php
					echo shopFunctionsF::renderVmSubLayout('customfields',array('product'=>$this->product,'position'=>'ontop'));
				?>
				
				 <?php
				// PDF - Print - Email Icon
				if (VmConfig::get('show_emailfriend') || VmConfig::get('show_printicon') || VmConfig::get('pdf_icon')) {
				?>
					<div class="icons">
					<?php
					$link = 'index.php?tmpl=component&amp;option=com_virtuemart&amp;view=productdetails&amp;virtuemart_product_id=' . $this->product->virtuemart_product_id;

					//echo $this->linkIcon($link . '&amp;format=pdf', 'COM_VIRTUEMART_PDF', 'pdf_button', 'pdf_icon', false);					
					//echo $this->linkIcon($link . '&amp;print=1', 'COM_VIRTUEMART_PRINT', 'printButton', 'show_printicon',false,true,false,'class="printModal"');					
					$MailLink = 'index.php?option=com_virtuemart&amp;view=productdetails&amp;task=recommend&amp;virtuemart_product_id=' . $this->product->virtuemart_product_id . '&amp;virtuemart_category_id=' . $this->product->virtuemart_category_id . '&amp;tmpl=component';
					//echo $this->linkIcon($MailLink, 'COM_VIRTUEMART_EMAIL', 'emailButton', 'show_emailfriend', false,true,false,'class="recommened-to-friend"');
					?>
					<a class="print printModal icon-print" href="<?php echo $link . '&amp;print=1' ?>" title="<?php echo vmText::_('COM_VIRTUEMART_PRINT'); ?>">
						<i class="fa fa-print"></i>
					</a>										
					<a class="email-friend recommened-to-friend" href="<?php echo $MailLink; ?>" title="<?php echo vmText::_('COM_VIRTUEMART_EMAIL'); ?>">
						<i class="fa fa-envelope"></i>
					</a>
					<?php
					// Ask a question about this product
					if (VmConfig::get('ask_question', 0) == 1) {
						$askquestion_url = JRoute::_('index.php?option=com_virtuemart&view=productdetails&task=askquestion&virtuemart_product_id=' . $this->product->virtuemart_product_id . '&virtuemart_category_id=' . $this->product->virtuemart_category_id . '&tmpl=component', FALSE);
					?>						
						<a class="ask-a-question icon-send" href="<?php echo $askquestion_url ?>" title="<?php echo vmText::_('COM_VIRTUEMART_PRODUCT_ENQUIRY_LBL'); ?>" >
							<i class="fa fa-send"></i>
						</a>					
					<?php } ?>
					<div class="clear"></div>
					</div>
				<?php } // PDF - Print - Email Icon END
				?>
				<?php
					echo shopFunctionsF::renderVmSubLayout('addtocart_details',array('product'=>$this->product));

					echo shopFunctionsF::renderVmSubLayout('stockhandle',array('product'=>$this->product));

				?>
				<?php
					// Manufacturer of the Product
					if (VmConfig::get('show_manufacturers', 1) && !empty($this->product->virtuemart_manufacturer_id)) {
						echo $this->loadTemplate('manufacturer');
					}
					?>
					
				<?php if($document->countModules('mj-styler-share')) { ?>
					<div class="product-card__social">
						 <?php
							 $renderer       = $document->loadRenderer('modules');
							 $position       = 'mj-styler-share';
							 $options        = array('style' => 'header_span');
							echo $renderer->render($position, $options, null);
							?>
					</div>	
				<?php } ?>	
			</div>
		</div>
		<!-- End product-details section -->
		
   
</section>

<div class="product-description" id="add_review">
	<div class="row">
        <div class="col-xs-12">
			<ul role="tablist" class="text-uppercase tab_list_details text-left list-inline clearfix">
				
				<li role="presentation" class="active"><a href="#review" data-toggle="tab"><?php echo vmText::_ ('COM_VIRTUEMART_REVIEWS') ?></a></li>
				<li role="presentation">
					<a href="#description" data-toggle="tab">
						<?php echo vmText::_('COM_VIRTUEMART_PRODUCT_DESC_TITLE') ?>
					</a>
				</li>
				
				<li role="presentation"><a href="#custom-field" data-toggle="tab">
					<?php echo vmText::_('COM_VIRTUEMART_PRODUCT_CUSTOM_FIELDS') ?></a></li>
				<li role="presentation"><a href="#ship-unit" data-toggle="tab">
					<?php echo vmText::_('COM_VIRTUEMART_CART_SHIPPING').' & '.vmText::_('COM_VIRTUEMART_CART_PAYMENT');?></a></li>
			</ul>
			<div class="tab-content">
			<?php
			// event onContentBeforeDisplay
					echo $this->product->event->beforeDisplayContent; ?>
				
				  <div role="tabpanel" class="tab-pane fade" id="description">
					  <div class="fix paro_tab_content_main">
						<?php // Product Description
						if (!empty($this->product->product_desc)) {
							echo $this->product->product_desc;
						} // Product Description END ?>
					 </div>	
				  </div>
				  <div role="tabpanel" class="tab-pane fade in active" id="review">
					<div class="fix paro_tab_content_main">
						<?php // onContentAfterDisplay event
							echo $this->loadTemplate('reviews');
						?>
					</div>
				  </div>
				  <div role="tabpanel" class="tab-pane fade" id="custom-field">
					<div class="fix paro_tab_content_main">
						<?php echo shopFunctionsF::renderVmSubLayout('customfields',array('product'=>$this->product,'position'=>'normal'));?>
					</div>
				  </div>
				  <div role="tabpanel" class="tab-pane fade" id="ship-unit">
					<div class="fix paro_tab_content_main">
						<?php	
						if (is_array($this->productDisplayShipments)) {
							foreach ($this->productDisplayShipments as $productDisplayShipment) {
							echo $productDisplayShipment[1] ;?></br><?php
							echo $productDisplayShipment[2] ;?></br><?php
							echo $productDisplayShipment[3] ;
							}
						}
						if (is_array($this->productDisplayPayments)) {
							foreach ($this->productDisplayPayments as $productDisplayPayment) {
							echo $productDisplayPayment[1];
							}
						} ?>
					</div>
				 </div>			
				<?php
				
				echo $this->product->event->afterDisplayContent;
				
				?>
			 </div>

		

	    </div>
	</div>
</div>
<?php
	
	echo shopFunctionsF::renderVmSubLayout('customfields',array('product'=>$this->product,'position'=>'onbot'));
?>

  
	<?php echo shopFunctionsF::renderVmSubLayout('customfields_related',array('product'=>$this->product,'position'=>'related_products','class'=> 'section-area section-products_mod-a rel_margin','customTitle' => true )); ?>
       
   
	<?php echo shopFunctionsF::renderVmSubLayout('customfields',array('product'=>$this->product,'position'=>'related_categories','class'=> 'product-related-categories section-area section-products_mod-a'));

	?>

<?php // onContentAfterDisplay event
echo $this->product->event->afterDisplayContent;



$j = 'jQuery(document).ready(function($) {
	Virtuemart.product(jQuery("form.product"));

	$("form.js-recalculate").each(function(){
		if ($(this).find(".product-fields").length && !$(this).find(".no-vm-bind").length) {
			var id= $(this).find(\'input[name="virtuemart_product_id[]"]\').val();
			Virtuemart.setproducttype($(this),id);

		}
	});
});';
//vmJsApi::addJScript('recalcReady',$j);

/** GALT
	 * Notice for Template Developers!
	 * Templates must set a Virtuemart.container variable as it takes part in
	 * dynamic content update.
	 * This variable points to a topmost element that holds other content.
	 */
$j = "Virtuemart.container = jQuery('.productdetails-view');
Virtuemart.containerSelector = '.productdetails-view';";

vmJsApi::addJScript('ajaxContent',$j);

echo vmJsApi::writeJS();

if ($this->product->prices['salesPrice'] > 0) {
  echo shopFunctionsF::renderVmSubLayout('snippets',array('product'=>$this->product, 'currency'=>$this->currency, 'showRating'=>$this->showRating));
}

?>




