<?php
/**
 *
 * Show the product details page
 *
 * @package	VirtueMart
 * @subpackage
 * @author Max Milbers, Valerie Isaksen

 * @link http://www.virtuemart.net
 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @version $Id: default_images.php 8657 2015-01-19 19:16:02Z Milbo $
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
$document = JFactory::getDocument();
$app_img  = JFactory::getApplication();
$template_img = $app_img->getTemplate(true);
$temp_name_img = $template_img->template;

if(VmConfig::get('usefancy',1)){
	vmJsApi::addJScript( 'fancybox/jquery.fancybox-1.3.4.pack', false);
	vmJsApi::css('jquery.fancybox-1.3.4');
	$document = JFactory::getDocument ();
	$imageJS = '
	jQuery(document).ready(function() {
		Virtuemart.updateImageEventListeners()
	});
	Virtuemart.updateImageEventListeners = function() {
		jQuery("a[rel=vm-additional-images]").fancybox({
			"titlePosition" 	: "inside",
			"transitionIn"	:	"elastic",
			"transitionOut"	:	"elastic"
		});
		jQuery(".additional-images a.product-image.image-0").removeAttr("rel");
		jQuery(".additional-images img.product-image").click(function() {
			jQuery(".additional-images a.product-image").attr("rel","vm-additional-images" );
			jQuery(this).parent().children("a.product-image").removeAttr("rel");
			var src = jQuery(this).parent().children("a.product-image").attr("href");
			jQuery(".main-image img").attr("src",src);
			jQuery(".main-image img").attr("alt",this.alt );
			jQuery(".main-image a").attr("href",src );
			jQuery(".main-image a").attr("title",this.alt );
			jQuery(".main-image .vm-img-desc").html(this.alt);
		}); 
	}
	';
} else {
	vmJsApi::addJScript( 'facebox',false );
	vmJsApi::css( 'facebox' );
	$document = JFactory::getDocument ();
	$imageJS = '
	jQuery(document).ready(function() {
		Virtuemart.updateImageEventListeners()
	});
	Virtuemart.updateImageEventListeners = function() {
		jQuery("a[rel=vm-additional-images]").facebox();
		var imgtitle = jQuery("span.vm-img-desc").text();
		jQuery("#facebox span").html(imgtitle);
	}
	';
}
vmJsApi::addJScript('imagepopup',$imageJS);
//print_r($this->product->images);

$document->addStyleSheet(JURI::base().'templates/'.$temp_name_img.'/js/etalage/etalage.css');
$document->addScript(JURI::base().'templates/'.$temp_name_img.'/js/etalage/jquery.etalage.min.js');
$document->addScript(JURI::base().'templates/'.$temp_name_img.'/js/etalage/jquery.zoom.min.js');

//print_r($this->product->images);
if (!empty($this->product->images)) { ?>
   
	 <ul id="etalage">
    <?php
   $count_images = count ($this->product->images);
    ?>
    
     <?php
	   if ($count_images >= 1) {
	  
		 for ($i = 0; $i < $count_images; $i++) {
				
               //$image = $this->product->images[$i];
			   $img = JURI::base().$this->product->images[$i]->file_url;
			   //$img_thumb = JURI::base().$this->product->images[$i]->file_url_thumb;
				?>
             
    
	 
	 <li> 
		
			<img class="etalage_thumb_image" src="<?php echo $img; ?>" alt="thumb_img">
			<img class="etalage_source_image" src="<?php echo $img; ?>" alt="source_img">
		
	 </li>
    <?php }
	   } ?>
    
</ul>



<?php } ?>


<div class="etalage-control">
    <a href="javascript:void(0)" class="etalage-prev"><i class="fa fa-angle-left"></i></a>
    <a href="javascript:void(0)" class="etalage-next"><i class="fa fa-angle-right"></i></a>
</div>

<script type="text/javascript">
    jQuery(document).ready(function(){
        var width = jQuery('.productdetails-view .product-img-box').width();
        var src_img_width = 80;
        var src_img_height = 100;
        var ratio_width = 452;
        var ratio_height = 540;
        
        src_img_width = 100 * ratio_width / ratio_height;
        var height = width * ratio_height / ratio_width;

        jQuery('#etalage').etalage({
            thumb_image_width: width,
            thumb_image_height: height,
            source_image_width: src_img_width,
            source_image_height: src_img_height,
            zoom_area_width: width,
            zoom_area_height: height,
            zoom_enable: false,
            smallthumb_hide_single: false,
            smallthumbs_position: 'bottom',
            show_icon: false,
            autoplay: false
        });
        jQuery(".product-img-box .etalage li.etalage_thumb").zoom();
        jQuery('.productdetails-view .product-img-box .etalage-control a').css('bottom',((jQuery('.etalage_small_thumbs').height()-25)/2)+"px");
        if(jQuery('.etalage_small_thumbs').height() == 0)
            jQuery('.productdetails-view .product-img-box .etalage-control a').css('bottom',((jQuery('.etalage_small_thumbs img').first().height()-25)/2)+"px");
        jQuery(window).resize(function(e){
            var width = jQuery('.productdetails-view .product-img-box').width();
            var height = width * ratio_height / ratio_width;
            zoom_enabled = false;
            if(jQuery(window).width()<480)
                zoom_enabled = false;
            jQuery('#etalage').etalage({
                thumb_image_width: width,
                thumb_image_height: height,
                source_image_width: src_img_width,
                source_image_height: src_img_height,
                zoom_area_width: width,
                zoom_area_height: height,
                zoom_enable: zoom_enabled,
                smallthumb_hide_single: false,
                smallthumbs_position: 'bottom',
                show_icon: true,
                autoplay: false
            });
            jQuery('.productdetails-view .product-img-box .etalage-control a').css('left',((jQuery('.etalage_small_thumbs').width()-25)/2)+"px");
        });
        jQuery('.etalage-prev').on('click', function(){
            etalage_previous();
        });

        jQuery('.etalage-next').on('click', function(){
            etalage_next();
        });
    });
</script>