<?php
/**
 *
 * Show the product details page
 *
 * @package    VirtueMart
 * @subpackage
 * @author Max Milbers
 * @todo handle child products
 * @link http://www.virtuemart.net
 * @copyright Copyright (c) 2015 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @version $Id: default_addtocart.php 7833 2014-04-09 15:04:59Z Milbo $
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

$document = JFactory::getDocument();
$app        = JFactory::getApplication();
$template   = $app->getTemplate(true);
$params     = $template->params;
$show_wishlist=$params->get('show_wishlist');
$show_compare=$params->get('show_compare');

$product = $viewData['product'];

if(isset($viewData['rowHeights'])){
	$rowHeights = $viewData['rowHeights'];
} else {
	$rowHeights['customfields'] = TRUE;
}

$init = 1;
if(isset($viewData['init'])){
	$init = $viewData['init'];
}

if(!empty($product->min_order_level) and $init<$product->min_order_level){
	$init = $product->min_order_level;
}

$step=1;
if (!empty($product->step_order_level)){
	$step=$product->step_order_level;
	if(empty($product->min_order_level) and !isset($viewData['init'])){
		$init = $step;
	}
}

$maxOrder= '';
if (!empty($product->max_order_level)){
	$maxOrder = ' max="'.$product->max_order_level.'" ';
}

$addtoCartButton = '';
if(!VmConfig::get('use_as_catalog', 0)){
	if(!$product->addToCartButton and $product->addToCartButton!==''){
		$addtoCartButton = shopFunctionsF::getAddToCartButton ($product->orderable);
	} else {
		$addtoCartButton = $product->addToCartButton;
	}

}
$position = 'addtocart';
//if (!empty($product->customfieldsSorted[$position]) or !empty($addtoCartButton)) {


if (!VmConfig::get('use_as_catalog', 0)  ) { ?>

	<footer class="card-btns">
	<?php
	// Display the quantity box
	$stockhandle = VmConfig::get ('stockhandle', 'none');
	if (($stockhandle == 'disableit' or $stockhandle == 'disableadd') and ($product->product_in_stock - $product->product_ordered) < 1) { ?>
		<a href="<?php echo JRoute::_ ('index.php?option=com_virtuemart&view=productdetails&layout=notify&virtuemart_product_id=' . $product->virtuemart_product_id); ?>" class="notify"><?php echo vmText::_ ('COM_VIRTUEMART_CART_NOTIFY') ?></a><?php
	} else {
		$tmpPrice = (float) $product->prices['costPrice'];
		if (!( VmConfig::get('askprice', true) and empty($tmpPrice) ) ) { ?>
			<?php if ($product->orderable) { ?>
				
				<div class="enumerator">
				  
				  <span class="product-card__label label_qty"><?php echo vmText::_ ('COM_VIRTUEMART_CART_QUANTITY'); ?></span>
				  <div class="product-field-qty">

				  	<span class="quantity-controls js-recalculate card-btns__btn">
						<input type="button" class="quantity-controls quantity-minus"/>
						</i>
					</span>	

					<input type="text" class="quantity-input js-recalculate" name="quantity[]"
						data-errStr="<?php echo vmText::_ ('COM_VIRTUEMART_WRONG_AMOUNT_ADDED')?>"
						value="<?php echo $init; ?>" init="<?php echo $init; ?>" step="<?php echo $step; ?>" <?php echo $maxOrder; ?> />
					
					<span class="quantity-controls js-recalculate card-btns__btn">
					<input type="button" class="quantity-controls quantity-plus"/>
					</i>
				  	</span>					
				 </div>	
			    </div>
			<?php }

			if(!empty($addtoCartButton)){
				?><span class="card-btns__add">
				<?php //echo $addtoCartButton ?>
				<input type="submit" name="addtocart" class="addtocart-button addtocart-button products-btns__add" value="Add to Cart" title="Add to Cart"/>
				</span> <?php
			} ?>
			<input type="hidden" name="virtuemart_product_id[]" value="<?php echo $product->virtuemart_product_id ?>"/>
			<noscript><input type="hidden" name="task" value="add"/></noscript> <?php
		}
	} ?>
	
	<?php if($show_wishlist==1 OR $show_compare==1) { ?>			
		<span class="products-btns__other pull-left">
		<?php if($show_wishlist==1){?>
			
				<a class="wishlist" title="<?php echo JText::_('COM_VIRTUEMART_ADD_TO_WHISLIST');?>" onclick="AddToWishlist('<?php echo $product->virtuemart_product_id; ?>','<?php echo $product->virtuemart_category_id; ?>')"><i class="icon fa fa-heart"></i></a>
			
		<?php } ?>
		<?php if($show_compare==1){?>      
					
				<a class="tweet" title="<?php echo JText::_('COM_VIRTUEMART_ADD_TO_COMPARE');?>" onclick="AddToCompare('<?php echo  $product->virtuemart_product_id; ?>','<?php echo  $product->virtuemart_category_id; ?>')"><i class="icon fa fa-retweet"></i></a>
			
		<?php } ?>
		</span>
	 <?php } ?>	
	
	</footer><?php
} ?>
