<?php
/**
*
* Layout for the login
*
* @package	VirtueMart
* @subpackage User
* @author Max Milbers, George Kostopoulos
*
* @link https://virtuemart.net
* @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* VirtueMart is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* @version $Id: cart.php 4431 2011-10-17 grtrustme $
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

//set variables, usually set by shopfunctionsf::getLoginForm in case this layout is differently used
if (!isset( $this->show )) $this->show = TRUE;
if (!isset( $this->from_cart )) $this->from_cart = FALSE;
if (!isset( $this->order )) $this->order = FALSE ;


if (empty($this->url)){
	$url = vmURI::getCurrentUrlBy('request');
} else{
	$url = $this->url;
}
//$url = JRoute::_($url, $this->useXHTML, $this->useSSL);
vmdebug('My Url in loginform',$url);
$user = JFactory::getUser();

if ($this->show and $user->id == 0  ) {
    vmJsApi::vmValidator();

	//Extra login stuff, systems like openId and plugins HERE
    if (JPluginHelper::isEnabled('authentication', 'openid')) {
        $lang = vmLanguage::getLanguage();
        $lang->load('plg_authentication_openid', JPATH_ADMINISTRATOR);
        $langScript = '
//<![CDATA[
'.'var JLanguage = {};' .
                ' JLanguage.WHAT_IS_OPENID = \'' . vmText::_('WHAT_IS_OPENID') . '\';' .
                ' JLanguage.LOGIN_WITH_OPENID = \'' . vmText::_('LOGIN_WITH_OPENID') . '\';' .
                ' JLanguage.NORMAL_LOGIN = \'' . vmText::_('NORMAL_LOGIN') . '\';' .
                ' var comlogin = 1;
//]]>
                ';
		vmJsApi::addJScript('login_openid',$langScript);
        JHtml::_('script', 'openid.js');
    }

    $html = '';
    vDispatcher::importVMPlugins('vmpayment');
    $returnValues = vDispatcher::trigger('plgVmDisplayLogin', array($this, &$html, $this->from_cart));

    if (is_array($html)) {
		foreach ($html as $login) {
		    echo $login.'<br />';
		}
    }
    else {
		echo $html;
    }

    //end plugins section

    //anonymous order section
      if ($this->order  ) {
    	?>

      <div class="order-view">

        <h3 class="sidebar_title"><?php echo vmText::_('COM_VIRTUEMART_ORDER_ANONYMOUS') ?></h3>

        <form action="<?php echo JRoute::_( 'index.php', 1, $this->useSSL); ?>" method="post" name="com-login" >

          <div class="width30 floatleft" id="com-form-order-number">
          	<label  for="order_number"><?php echo vmText::_('COM_VIRTUEMART_ORDER_NUMBER') ?></label><br />
          	<input type="text" id="order_number" name="order_number" class="inputbox order_btn" size="10" />
          </div>
          <div class="width30 floatleft" id="com-form-order-pass">
          	<label  for="order_pass"><?php echo vmText::_('COM_VIRTUEMART_ORDER_PASS') ?></label><br />
          	<input type="text" id="order_pass" name="order_pass" class="inputbox order_btn" size="18" />
          </div>
          <div class="width30 floatleft see_order" id="com-form-order-submit">
          	<input type="submit" name="Submitbuton" class="shop_btn_blog" value="<?php echo vmText::_('COM_VIRTUEMART_ORDER_BUTTON_VIEW') ?>" />
          </div>
          <div class="clr"></div>
          <input type="hidden" name="option" value="com_virtuemart" />
          <input type="hidden" name="view" value="orders" />
          <input type="hidden" name="layout" value="details" />
          <input type="hidden" name="return" value="" />

        </form>

      </div>

<?php   }


    // XXX style CSS id com-form-login ?>
	<div class="account-login row">
	<div class="login-users  col-md-6 col-xs-12">
    <form id="com-form-login" action="<?php echo JUri::root(true).'/'.$url; ?>" method="post" name="com-login" >
      <fieldset class="userdata">
        <?php if (!$this->from_cart ) { ?>
        <div>
        <h2><?php echo vmText::_('COM_VIRTUEMART_ORDER_CONNECT_FORM'); ?></h2>
        </div>
        <?php } else { ?>
        <p><?php echo vmText::_('COM_VIRTUEMART_ORDER_CONNECT_FORM'); ?></p>
        <?php }   ?>
		<h3 class="sidebar_title"><?php echo JText::_('LUXURY_VIRTUEMART_HAVE_ACCOUNT'); ?></h3>
		<h6 class="login_desc"><?php echo JText::_('LUXURY_ACCOUNT_DESC'); ?></h6>
			<ul class="form-list">
			<div class=" checkout_option login_filed">
				<div class="inputbox" id="com-form-login-username aaaaa">
					<label class="login_desc"><?php echo vmText::_('COM_VIRTUEMART_USERNAME'); ?> <span>*</span></label>
					<input type="text" name="username" class="username width100 inputbox order_btn" size="18" title="<?php echo vmText::_('COM_VIRTUEMART_USERNAME'); ?>" />
				</div>	

				<div class="" id="com-form-login-password">
					<div id="com-form-login-password" class="inputbox">
						<label class="login_desc"><?php echo vmText::_('COM_VIRTUEMART_PASSWORD'); ?> <span>*</span></label>
						<input id="modlgn-passwd" type="password" name="password" class="password width100 inputbox order_btn" size="18" title="<?php echo vmText::_('COM_VIRTUEMART_PASSWORD'); ?>" />
					</div>
				</div>
			<div class="chackout c_o_button text-left">
					<div class="floatleft width100 loginbuttons" id="com-form-login-remember">
							
							<div class="floatleft col-md-4 col-sm-4 col-xs-12 no-padding" id="com-form-login-remember">
							<input type="checkbox" id="remember" name="remember" class="inputbox remember_chk floatleft" value="yes" />
							<label for="remember" class="remember_me"><?php echo $remember_me = vmText::_('JGLOBAL_REMEMBER_ME'). ' !'; ?></label>
							</div>
						
							<div class="col-md-4 col-sm-4 col-xs-12 no-padding">
							<a class="cart_text remember_me" href="<?php echo JRoute::_('index.php?option=com_users&view=remind'); ?>" rel="nofollow">
							<?php echo vmText::_('COM_VIRTUEMART_ORDER_FORGOT_YOUR_USERNAME'); ?></a>
							</div>
							
							<div class="col-md-4 col-sm-4 col-xs-12 no-padding">
							<a class="cart_text remember_me" href="<?php echo JRoute::_('index.php?option=com_users&view=reset'); ?>" rel="nofollow">
							<?php echo vmText::_('COM_VIRTUEMART_ORDER_FORGOT_YOUR_PASSWORD'); ?></a>
							</div>
					</div>
					<div class="floatleft chackout c_o_button width100">
					<input type="submit" name="Submit" class="shop_btn_blog" value="<?php echo vmText::_('COM_VIRTUEMART_LOGIN'); ?>" />
					</div>
					
					<input type="hidden" name="task" value="user.login" />
					<input type="hidden" name="option" value="com_users" />
					<input type="hidden" name="return" value="<?php echo base64_encode($url) ?>" />
					<?php echo JHtml::_('form.token'); ?>
									
				</div>
        </div>
							
							
	</ul>	
        <div class="clr"></div>
      </fieldset>
		
      <div class="clr"></div>

      <input type="hidden" name="task" value="user.login" />
      <input type="hidden" name="option" value="com_users" />
      <input type="hidden" name="return" value="<?php echo base64_encode($url) ?>" />
      <?php echo JHtml::_('form.token'); ?>
    </form>
</div></div>
<?php  } else if ( $user->id ) { ?>

	  <form action="<?php echo JUri::root(true).'/'.$url; ?>" method="post" name="login" id="form-login">
      <h3 class="sidebar_title"><?php echo vmText::sprintf( 'COM_VIRTUEMART_HINAME', $user->name ); ?> </h3>
      <input type="submit" name="Submit" class="shop_btn_blog" value="<?php echo vmText::_( 'COM_VIRTUEMART_BUTTON_LOGOUT'); ?>" />
      <input type="hidden" name="option" value="com_users" />
      <input type="hidden" name="task" value="user.logout" />
      <?php echo JHtml::_('form.token'); ?>
    	<input type="hidden" name="return" value="<?php echo base64_encode($url) ?>" />
    </form>
	

<?php }

?>

