<?php
/**
 * @package     Luxury.Site
 * @subpackage  Templates.Luxury
 *
 * @copyright   Copyright (C) 2005 - 2016 mojoomla.com - All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
ini_set("display_errors","0");

$app             = JFactory::getApplication();
$doc             = JFactory::getDocument();
$user            = JFactory::getUser();
$this->language  = $doc->language;
$this->direction = $doc->direction;

// Getting params from template
$params = $app->getTemplate(true)->params;

$lang = JFactory::getLanguage();
$sitename = $app->get('sitename');
$menu = JFactory::getApplication()->getMenu();
$menu1 = $menu->getActive();


$isroot = $user->authorise('core.admin');
// Responsive Layout
$responsive_layout=$this->params->get('responsive_layout');



	
    // Add Stylesheets
    $doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/fontawesome/font-awesome.min.css');
    $doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/fonts/FT/fonts.css');
    $doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/owlcarousel/owl.carousel.css');
	$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/owlcarousel/owl.theme.css');
    $doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/owlcarousel/owl.transitions.css');
    $doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/bootstrap/bootstrap-select.css');
    $doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/bootstrap/bootstrap.css');
	$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/style.css');
	$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/style_preset3.css');
	$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/pages.css');
	
    $doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/responsive.css');	
	$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/vm_pages.css');
	$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/Lightbox/lightbox.css');
	
	// Include rtl css 
	$rtl_option = $this->params->get('rtl_onoff');
	if($rtl_option == '1' OR $this->direction == 'rtl')
	{
		$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/style_rtl.css');
	}
	
	
	$doc->addStyleSheet('https://fonts.googleapis.com/css?family=Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic');
	$doc->addStyleSheet('https://fonts.googleapis.com/css?family=Roboto:400,100,100italic,300,300italic,500,700,900');
	

// Adjusting content width
if ($this->countModules('position-7') && $this->countModules('position-8'))
{
	$cls = "content_left_right col-lg-6";
}
elseif ($this->countModules('position-7') && !$this->countModules('position-8'))
{
	$cls = "content_left col-lg-9 col-xs-12";
}
elseif (!$this->countModules('position-7') && $this->countModules('position-8'))
{
	$cls = "content_right col-lg-9 col-xs-12";
}
else
{
	$cls = "content_full col-lg-12 col-sm-12 col-xs-12";
}
$m = $menu->getActive();
if ($menu->getActive() == $menu->getDefault()) 
{
	$pages='home_page';
}
else
{
	$pages='inner_page';
} ?>

		
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
   <?php if($responsive_layout=='1'){ ?>
	<meta name="viewport" content="width=device-width, initial-scale=1.0"/>
   <?php } ?>
	<jdoc:include type="head" />
	<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/jui/bootstrap.min.js"></script>
</head>
<body class="preset4 <?php echo $pages; ?> <?php //echo $m->title; ?>">
<?php
	require("php/variables.php");
	include("php/themecolor.php");
?>
<script type="text/javascript">

</script>
<?php
if($chooselayout=='boxed')
{ ?>
<?php $path= JURI::base()."templates/".$this->template."/img/elements/pattern_".$choosepattern.".png"; ?>
<style scoped>
 body {
    background-image: url("<?php echo $path ;?>");
 }
</style>
<div class="wrapper_boxed">
  <?php }
?>	

<div class="site_wrapper">	
	
	<!--[if lt IE 8]>
            <p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
        <![endif]-->
		<!-- header area start -->
	<header class="header_area preset3_header text-center" id="side-nav">
		
				<div class="logo_links">
				<div class="main_logo">
				<figure class="logo">
						<a href="<?php echo $this->baseurl; ?>">
						  <?php if($logoFile==null)
						  { ?>
							<img src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/img/logo_star.png" alt="Logo"/>
						 <?php } else { ?>
							<img src="<?php echo $logoFile; ?>" alt="Logo">
						<?php } ?>	
						</a>
				</figure>
				</div>
			<div class="user_links nav_right">
				<ul class="list-inline">
					<?php if ($this->countModules('mj-luxury-cart')) { ?>
						<li class="bag">
							<jdoc:include type="modules" name="mj-luxury-cart" style="xhtml" /> 
						</li>
					<?php } ?>
					
					<?php if ($this->countModules('mj-luxury-currency')) { ?>
									<li class="currency_click like">
										<jdoc:include type="modules" name="mj-luxury-currency" style="xhtml" /> 
									</li>
								<?php } ?>
					<?php if ($this->countModules('mj-luxury-login')) { ?>
								<li class="login">
									<jdoc:include type="modules" name="mj-luxury-login" style="xhtml"/>
								</li>
					<?php } ?>
					<?php if($this->countModules('mj-luxury-home3-search')) { ?>
							<li class="search_click">
								<jdoc:include type="modules" name="mj-luxury-home3-search" style="xhtml" />
							</li>
					<?php } ?>
				</ul>
			</div>
			</div>
			<?php if ($this->countModules('mj-luxury-menu-verticle')) { ?>
				<div class="navbar-container">
					<jdoc:include type="modules" name="mj-luxury-menu-verticle" style="xhtml" />
				</div>
			<?php } ?>
			<div class="search_cpyrights">
			<?php if($this->countModules('mj-luxury-home3-search')) { ?>
			<div class="search_product">
			<div class="search_click">
				<jdoc:include type="modules" name="mj-luxury-home3-search" style="xhtml" />
			</div>
			<div>
			<?php } ?>
			
			<?php if(($this->countModules('mj-luxury-home3-social')) or (!empty($copyright))) { ?>
			<div class="social copy_rights">
			 <?php if($this->countModules('mj-luxury-home3-social')) { ?>
				<jdoc:include type="modules" name="mj-luxury-home3-social" style="xhtml" />
			 <?php } ?>
			 <?php if(!empty($copyright)) : ?>
				<p class="copy_right_text"><?php echo $copyright;?></p>
			<?php endif ?>	
			</div>
			<?php } ?>
			</div>
			
			
		</header>
		<!-- header area end -->
		<!-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX -->
		
		<!-- slider area start -->
		<div class="language" style="float: right;">
					<?php if ($this->countModules('mj-luxury-language')) { ?>
					<div class="float_left text-left col-sm-9 col-xs-12">
					<jdoc:include type="modules" name="mj-luxury-language" style="xhtml" />
					</div>
					<?php } ?>
		</div>
		
		<?php if($this->countModules('mj-luxury-home3-slideshow')) { ?>
		<div class="slider_area3">
			<div class="slider" id="slider3">
				<jdoc:include type="modules" name="mj-luxury-home3-slideshow" style="xhtml" />
			</div>
		</div>
		<?php } ?>
		<!-- slider area end -->
		<!-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX -->
		
		<?php if ($this->countModules('mj-luxury-breadcrumbs')) { ?>
		<div class="breadcrumbs_area">
		<div class="section_title text-center">
		<h1 class="black_header white_text"><?php echo $doc->getTitle(); ?></h1>
		<jdoc:include type="modules" name="mj-luxury-breadcrumbs" style="xhtml" /> 
		</div>
		</div>
		<?php } ?>
		
		<div class="container_section">
		<!-- Container -->
		<div class="container_home3">
		<div class="row">
		<div class="main_component_wrapper <?php echo $pages ?>">	
		  <?php if($this->countModules('position-8')) { ?>
			<div class="col-lg-3 col-sm-12 left_sidebar">
			  <aside class="sidebar">
				<jdoc:include type="modules" name="position-8" style="luxury_sidebar_header" />
			  </aside>
			  <!-- end sidebar --> 
			</div>
			<!-- end col -->
		  <?php } ?>
	  
	   
		  <div class="main_component <?php echo $pages .' '. $cls; ?>">
				<jdoc:include type="message" />
				<jdoc:include type="component" />
		  </div>
        <!-- end col -->
		 <?php if($this->countModules('position-7')) { ?>
			<div class="col-lg-3 col-sm-12 right_sidebar">
			  <aside class="sidebar">
				<jdoc:include type="modules" name="position-7" style="luxury_sidebar_header" />
			  </aside>
			  <!-- end sidebar --> 
			</div>
			<!-- end col -->
		<?php } ?>
	 
		</div>
    
		<!-- Team Area  on about us page Start -->
		<?php if ($this->countModules('mj-luxury-team')) { ?>	
		<div class="team_area">
			<jdoc:include type="modules" name="mj-luxury-team" style="luxury_black_header" />
		</div>
		<?php } ?>
		<!-- Team Area End -->
   	
		</div>
		</div>
		<!-- Container end-->
		</div>
</div>		
<!-- End Site Wrapper -->
	 <?php
if($chooselayout=='boxed')
{ ?>
</div> <!-- End Wrapper Boxed -->
<?php }
?>
	   <!--[if lt IE 9]>
			<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/html5shiv.js"></script>
			<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/respond.min.js"></script>
		<![endif]-->
        
        <script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/owlcarousel/owl.carousel.min.js"></script>
        <script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/bootstrap/bootstrap-select.js"></script>
        <script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/Lightbox/lightbox.min.js"></script>
		<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/bootstrap/bootstrap.min.js"></script>
        <script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/jquery.scrollUp.js"></script>
        <script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/custom.js"></script>
        
		
		
	<script>
		(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
		(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
		m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
		})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

		ga('create', 'UA-60724205-1', 'auto');
		ga('send', 'pageview');
	</script>
	
	
</body>
</html>

