<?php
/**
 * @package     Luxury.Site
 * @subpackage  Templates.Luxury
 *
 * @copyright   Copyright (C) 2005 - 2016 mojoomla.com - All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
ini_set("display_errors","0");

$app             = JFactory::getApplication();
$doc             = JFactory::getDocument();
$user            = JFactory::getUser();
$this->language  = $doc->language;
$this->direction = $doc->direction;

// Getting params from template
$params = $app->getTemplate(true)->params;

$lang = JFactory::getLanguage();
$sitename = $app->get('sitename');
$menu = JFactory::getApplication()->getMenu();
$menu1 = $menu->getActive();


$isroot = $user->authorise('core.admin');
// Responsive Layout
$responsive_layout=$this->params->get('responsive_layout');

    // Add Stylesheets
    $doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/fontawesome/font-awesome.min.css');
    $doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/fonts/FT/fonts.css');
    $doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/owlcarousel/owl.carousel.css');
	$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/owlcarousel/owl.theme.css');
    $doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/bootstrap/bootstrap-select.css');
    $doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/bootstrap/bootstrap.css');
	$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/style.css');
	$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/pages.css');
	
    $doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/responsive.css');	
	$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/vm_pages.css');	
	
	// Include rtl css 
	$rtl_option = $this->params->get('rtl_onoff');
	if($rtl_option == '1' OR $this->direction == 'rtl')
	{
		$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/style_rtl.css');
	}
	
	/*$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/pages.css');
	$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/k2.css');
	$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/responsive_pages.css');*/
	
	
	$doc->addStyleSheet('https://fonts.googleapis.com/css?family=Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic');
	$doc->addStyleSheet('https://fonts.googleapis.com/css?family=Roboto:400,100,100italic,300,300italic,500,700,900');
	

// Adjusting content width
if ($this->countModules('position-7') && $this->countModules('position-8'))
{
	$cls = "content_left_right col-md-6";
}
elseif ($this->countModules('position-7') && !$this->countModules('position-8'))
{
	$cls = "content_left col-md-9 col-xs-12";
}
elseif (!$this->countModules('position-7') && $this->countModules('position-8'))
{
	$cls = "content_right col-md-9 col-xs-12";
}
else
{
	$cls = "content_full col-md-12 col-sm-12 col-xs-12";
}
$m = $menu->getActive();
if ($menu->getActive() == $menu->getDefault()) 
{
	$pages='home_page';
}
else
{
	$pages='inner_page';
} ?>

		
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
   <?php if($responsive_layout=='1'){ ?>
	<meta name="viewport" content="width=device-width, initial-scale=1.0"/>
   <?php } ?>
	<jdoc:include type="head" />
	<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/jui/bootstrap.min.js"></script>
</head>
<body class="preset6 <?php echo $pages; ?> <?php //echo $m->title; ?>">
<?php
	require("php/variables.php");
	include("php/themecolor.php");
?>
<?php
if($chooselayout=='boxed')
{ ?>
<?php $path= JURI::base()."templates/".$this->template."/img/elements/pattern_".$choosepattern.".png"; ?>
<style scoped>
 body {
    background-image: url("<?php echo $path ;?>");
 }
</style>
<div class="wrapper_boxed">
  <?php }
?>	

<div class="site_wrapper">	
	
	<!--[if lt IE 8]>
            <p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
        <![endif]-->
		<!-- header area start -->
		<header class="header_area header_area_preset6">
			<div class="header container">
				<!-- mainmenu start-->
				<div class="main_menu row">
					<div class="col-sm-3 col-xs-6">
						<figure class="logo">
							<a href="<?php echo $this->baseurl; ?>">
							  <?php if($logoFile==null)
							  { ?>
								<img src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/img/logo_home6.png" alt="Logo"/>
							 <?php } else { ?>
								<img src="<?php echo $logoFile; ?>" alt="Logo">
							<?php } ?>	
							</a>
						</figure>
					</div>
					<div class="menu_usd col-sm-9 col-xs-12">
											
					<div class="float_right text-right nav_right_main col-sm-3 col-xs-12">				
						<div class="text-uppercase  nav_right">
							<ul class="main_nav_right ">
								<?php if ($this->countModules('mj-luxury-currency')) { ?>
									<li class="currency_click">
										<jdoc:include type="modules" name="mj-luxury-currency" style="xhtml" /> 
									</li>
								<?php } ?>
								<?php if ($this->countModules('mj-luxury-login')) { ?>
								<li class="login">
									<jdoc:include type="modules" name="mj-luxury-login" style="xhtml"/>
								</li>
								<?php } ?>
								
								<?php if ($this->countModules('mj-luxury-cart')) { ?>
								<li class="bag">
									<jdoc:include type="modules" name="mj-luxury-cart" style="xhtml" /> 
								</li>
								<?php } ?>
								
							</ul>
						</div>
					</div>	
					<?php if ($this->countModules('mj-luxury-menu')) { ?>
					<div class="text-left col-sm-9 col-xs-12">
					<jdoc:include type="modules" name="mj-luxury-menu" style="xhtml" />
					</div>
					<?php } ?>
					
					
					<?php if ($this->countModules('mj-luxury-language')) { ?>
					<div class="float_left text-left col-sm-9 col-xs-12">
					<jdoc:include type="modules" name="mj-luxury-language" style="xhtml" />
					</div>
					<?php } ?>
					
				</div>
				</div>	
				<!-- mainmenu end-->	

			</div>
		</header>
		<!-- header area end -->
		<!-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX -->
		
		<!-- Breadcrumb start -->
		
		<?php if ($this->countModules('mj-luxury-breadcrumbs')) { ?>
		<div class="breadcrumbs_area">
		<div class="container">
		<div class="row">
		<div class="section_title text-center">
		<h1 class="black_header white_text"><?php echo $doc->getTitle(); ?></h1>
		<jdoc:include type="modules" name="mj-luxury-breadcrumbs" style="xhtml" /> 
		</div>
		</div>
		</div>
		</div>
		<?php } ?>
		
		<!-- Breadcrumb end -->
		
		<div class="container-big">
			
		<!-- slider area start -->
		<?php if($this->countModules('mj-luxury-home6-slideshow')) { ?>
		<div class="slider_area slider_3">
			<div class="slider" id="slider">
				<jdoc:include type="modules" name="mj-luxury-home6-slideshow" style="xhtml" />
			</div>
		</div>
		<?php } ?>
		<!-- slider area end -->
		<!-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX -->
			
		</div>
		
		<div class="container_section">
		<!-- Container -->
		<div class="container">
		<div class="row">
		<!-- slider bottom search area-->
		<?php if($this->countModules('mj-luxury-top_search')) { ?>
		<div class="col-xs-12">
			<div class="slider_bottom_text" id="slider_bottom_text">
			<jdoc:include type="modules" name="mj-luxury-top_search" style="xhtml" />
			</div>
		</div>
		<?php } ?>
		
		<!-- slider bottom search area end -->
		<!-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX -->
		<div class="main_component_wrapper <?php echo $pages ?>">	
	  <?php if($this->countModules('position-8')) { ?>
        <div class="col-md-3 col-sm-5 col-xs-12 left_sidebar">
          <aside class="sidebar">
            <jdoc:include type="modules" name="position-8" style="luxury_sidebar_header" />
          </aside>
          <!-- end sidebar --> 
        </div>
        <!-- end col -->
	  <?php } ?>
	  
	   
	  <div class="main_component <?php echo $pages .' '. $cls; ?>">
		<jdoc:include type="message" />
		<jdoc:include type="component" />
	  </div>
        <!-- end col -->
	 <?php if($this->countModules('position-7')) { ?>
        <div class="col-md-3 col-sm-5 col-xs-12 right_sidebar">
          <aside class="sidebar">
            <jdoc:include type="modules" name="position-7" style="luxury_sidebar_header" />
          </aside>
          <!-- end sidebar --> 
        </div>
        <!-- end col -->
	<?php } ?>
	 
   </div>
		</div>
		
		</div>
		</div>
		
		<div class="container_section">
		<!-- Container -->
		<div class="container">
		
		<!-- Banner Section 1 area-->
		<!-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX -->
		<?php if($this->countModules('mj-luxury-home3-banner') or $this->countModules('mj-luxury-home3-banner2')) { ?>
		
		<div class="banner_section banner_section_preset6">
		
		<div class="banner_main">
		
		<div class="col-md-8 col-sm-7 col-xs-12 left_banner">
			
			<?php if($this->countModules('mj-luxury-home3-banner')) { ?>
				<jdoc:include type="modules" name="mj-luxury-home3-banner" style="xhtml" />
			<?php } ?>
			
		</div>
		<div class="col-md-4 col-sm-5 col-xs-12 right_banner">
			<div class="col-md-12 col-xs-12 img1 no-padding">
			<?php if($this->countModules('mj-luxury-home3-banner2')) { ?>
				<jdoc:include type="modules" name="mj-luxury-home3-banner2" style="xhtml" />
			<?php } ?>
			</div>
		</div>
		
		</div>
		
		</div>
		<?php } ?>
		<!-- Banner  Section 1 area end -->
		<!-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX -->
		<?php if ($this->countModules('mj-luxury-featured_prd')) { ?>
			<div class="featured_section">
				<jdoc:include type="modules" name="mj-luxury-featured_prd" style="luxury_black_header" />
			</div>
		<?php } ?>
		</div>
		</div>
		
		<div class="container_section">
		<!-- Container -->
		<div class="container">
		<div class="row">
		<!-- New Product Area Start -->	
					<?php if ($this->countModules('mj-luxury-vm-prd')) { ?>	
						<div class="new_products">
							<jdoc:include type="modules" name="mj-luxury-vm-prd" style="luxury_vm_prd" />
						</div>
					<?php } ?>	
		<!-- New Product Area End -->
   
		<!-- Team Area  on about us page Start -->
		<?php if ($this->countModules('mj-luxury-team')) { ?>	
		<div class="team_area">
			<jdoc:include type="modules" name="mj-luxury-team" style="luxury_black_header" />
		</div>
		<?php } ?>
		<!-- Team Area End -->
		</div>
		</div>
		<!-- Container end-->
		</div>
		
		
		
		<!-- From The Blog area Start -->
		<?php if ($this->countModules('mj-luxury-blog')) { ?>
			<div class="from_blog">
			<div class="container">
				<div class="row">
					
						<jdoc:include type="modules" name="mj-luxury-blog" style="luxury_black_header" />
					
				</div>
			</div>
			</div>
		<?php } ?>
		<!-- From the blog area end-->
			
		<?php if ($this->countModules('mj-luxury-footer-top-banner')) { ?>
		<div class="brand">
			<div class="container">
				<jdoc:include type="modules" name="mj-luxury-footer-top-banner" style="xhtml" />
			</div>
		</div>
		<?php } ?>
		
		<!-- footer area start-->
		<?php if ($this->countModules('mj-luxury-footer-description') or $this->countModules('mj-luxury-footer-left') or $this->countModules('mj-luxury-footer-right')
				or $this->countModules('mj-luxury-footer-middle') or $this->countModules('mj-luxury-newsletter') or $this->countModules('mj-luxury-footer-banner') or !empty($copyright)) { ?>
		<footer class="footer_area">
			<div class="footer_top">
				<div class="container">
					<div class="row">
						<?php if ($this->countModules('mj-luxury-footer-description')) { ?>
						<div class="header_title text-center col-xs-12">
							<jdoc:include type="modules" name="mj-luxury-footer-description" style="xhtml" />
						</div>
						<?php } ?>
					
					<div class="contact_section col-xs-12">
							<div class="row">
								
									<?php if ($this->countModules('mj-luxury-footer-left')) { ?>
									<div class="col-md-4 col-sm-8 col-xs-12 contact">
										<jdoc:include type="modules" name="mj-luxury-footer-left" style="xhtml" />
									</div>
									<?php } ?>
						
									<?php if ($this->countModules('mj-luxury-footer-middle')) { ?>
									<div class="col-md-8 col-sm-9 col-xs-12 no-padding">
										<jdoc:include type="modules" name="mj-luxury-footer-middle" style="xhtml" />
									</div>
									<?php } ?>	
						
									<?php if ($this->countModules('mj-luxury-footer-right')) { ?>
									<div class="col-md-4 col-sm-4 col-xs-12">
										<jdoc:include type="modules" name="mj-luxury-footer-right" style="xhtml" />
									</div>
									<?php } ?>	
					
							</div>
						</div>
						
						<?php if ($this->countModules('mj-luxury-newsletter')) { ?>
						<div class="col-xs-12" id="subscribe">
							<jdoc:include type="modules" name="mj-luxury-newsletter" style="xhtml" />
						</div>
						<?php } ?>
					
					<?php if ($this->countModules('mj-luxury-footer-banner') or !empty($copyright)) { ?>
					<div class="footer_cpyrights">
					
					<?php if(!empty($copyright)) : ?>
						<div class="copy_rights col-sm-6 col-xs-12">
							<p class="text-left copy_right_text"><?php echo $copyright;?></p>
						</div>
					<?php endif ?>
					
					<?php if ($this->countModules('mj-luxury-footer-banner')) { ?>
						<div class="col-sm-6 col-xs-12 social_links">
							<jdoc:include type="modules" name="mj-luxury-footer-banner" style="xhtml" />
						</div>
					<?php } ?>
					</div>
					<?php } ?>
					</div>
				</div>
			</div>
		
		</footer>
		<!-- footer area end-->
		<?php } ?>
</div>		
<!-- End Site Wrapper -->
	 <?php
if($chooselayout=='boxed')
{ ?>
</div> <!-- End Wrapper Boxed -->
<?php }
?>
	   <!--[if lt IE 9]>
			<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/html5shiv.js"></script>
			<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/respond.min.js"></script>
		<![endif]-->
        
        <script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/owlcarousel/owl.carousel.min.js"></script>
        <script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/bootstrap/bootstrap-select.js"></script>
        <script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/bootstrap/bootstrap.min.js"></script>
        <script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/jquery.scrollUp.js"></script>
        <script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/custom.js"></script>
        
	<script>
		(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
		(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
		m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
		})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

		ga('create', 'UA-60724205-1', 'auto');
		ga('send', 'pageview');
	</script>
	
	<a id="scrollUp" href="#top" style="position: fixed; z-index: 2147483647; display: block;">Scroll to top</a>
</body>
</html>
